sc::CorrelationTable Class Reference

The CorrelationTable class provides a correlation table between two point groups. More...

`#include <corrtab.h>`

Inheritance diagram for sc::CorrelationTable:
[legend]
Collaboration diagram for sc::CorrelationTable:
[legend]

## Public Member Functions

| CorrelationTable (const Ref< PointGroup > &group, const Ref< PointGroup > &subgroup)
| Create a correlation table for the two groups.
Ref< PointGroup > | group () const
| Returns the higher order point group.
Ref< PointGroup > | subgroup () const
| Returns the lower order point group.
int | initialize_table (const Ref< PointGroup > &group, const Ref< PointGroup > &subgroup)
| Initalize the correlation table. More...
const char * | error (int errcod)
| Converts error codes from initialize_table into a text string.
int | n () const
| Returns the number of irreps in the high order group.
int | subn () const
| Returns the number of irreps in the subgroup.
int | degen (int igamma) const
| Returns the degeneracy of the irrep.
int | subdegen (int igamma) const
| Returns the degeneracy of the subgroup irrep.
int | ngamma (int igamma) const
| Returns the number of irreps in the low order group that an irrep.
int | gamma (int igamma, int i) const
| Returns the irreps in the low order group that an irrep from the high order group can be reduced to. More...
void | print (std::ostream &o=ExEnv::out0()) const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

The CorrelationTable class provides a correlation table between two point groups.

## Member Function Documentation

int sc::CorrelationTable::gamma | ( | int | igamma,
|  | int | i
| ) |  | const

inline

Returns the irreps in the low order group that an irrep from the high order group can be reduced to.

int sc::CorrelationTable::initialize_table | ( | const Ref< PointGroup > & | group,
|  | const Ref< PointGroup > & | subgroup
| ) |  |

Initalize the correlation table.

Returns 0 for success and nonzero for failure. This will fail if the subgroup is not really a subgroup of group.

The documentation for this class was generated from the following file:

- corrtab.h